Package org.eclipse.birt.chart.model.type

# Interface DialSeries

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `Series`

All Known Implementing Classes:
  `DialSeriesImpl`

public interface DialSeries extends Series
A representation of the model object 'Dial Series'. This is a Series type that holds data for Dial Charts.

The following features are supported:

- `Dial`
- `Needle`

See Also:
  - `TypePackage.getDialSeries()`

## Method Summary

Modifier and Type
Method
Description
`DialSeries`
`copyInstance()`
`Dial`
`getDial()`
Returns the value of the 'Dial' containment reference.
`Needle`
`getNeedle()`
Returns the value of the 'Needle' containment reference.
`void`
`setDial(Dial value)`
Sets the value of the '`Dial`' containment reference.
`void`
`setNeedle(Needle value)`
Sets the value of the '`Needle`' containment reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.birt.chart.model.component.Series

`canBeStacked, canParticipateInCombination, canShareAxisUnit, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getDefinedDataDefinitionIndex, getDisplayName, getLabel, getLabelPosition, getLabelPositionScope, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isSingleCache, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, translateFrom, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

## Method Details

### getDial

Dial getDial()
Returns the value of the 'Dial' containment reference. Specifies the Dial for this series

Returns:
  the value of the 'Dial' containment reference.
See Also:
  - `setDial(Dial)`
  - `TypePackage.getDialSeries_Dial()`

### setDial

void setDial(Dial value)
Sets the value of the '`Dial`' containment reference.

Parameters:
  `value` - the new value of the 'Dial' containment reference.
See Also:
  - `getDial()`

### getNeedle

Needle getNeedle()
Returns the value of the 'Needle' containment reference. Defines the needle to be used in the Dial

Returns:
  the value of the 'Needle' containment reference.
See Also:
  - `setNeedle(Needle)`
  - `TypePackage.getDialSeries_Needle()`

### setNeedle

void setNeedle(Needle value)
Sets the value of the '`Needle`' containment reference.

Parameters:
  `value` - the new value of the 'Needle' containment reference.
See Also:
  - `getNeedle()`

### copyInstance

DialSeries copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Series`